OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
RPMDMonteCarloBarostat Class Reference

This class is very similar to MonteCarloBarostat, but it is specifically designed for use with RPMDIntegrator. More...

Inheritance diagram for RPMDMonteCarloBarostat:

## Public Member Functions
def | Pressure
| Pressure() -> std::string const &. More...
def | getDefaultPressure
| getDefaultPressure(RPMDMonteCarloBarostat self) -> double More...
def | setDefaultPressure
| setDefaultPressure(RPMDMonteCarloBarostat self, double pressure) More...
def | getFrequency
| getFrequency(RPMDMonteCarloBarostat self) -> int More...
def | setFrequency
| setFrequency(RPMDMonteCarloBarostat self, int freq) More...
def | getRandomNumberSeed
| getRandomNumberSeed(RPMDMonteCarloBarostat self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(RPMDMonteCarloBarostat self, int seed) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(RPMDMonteCarloBarostat self) -> bool More...
def | __init__
| init(OpenMM::RPMDMonteCarloBarostat self, double defaultPressure, int frequency=25) -> RPMDMonteCarloBarostat init(OpenMM::RPMDMonteCarloBarostat self, RPMDMonteCarloBarostat other) -> RPMDMonteCarloBarostat More...
def | __del__
| del(OpenMM::RPMDMonteCarloBarostat self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class is very similar to MonteCarloBarostat, but it is specifically designed for use with RPMDIntegrator.

For each trial move, it scales all copies of the system by the same amount, then accepts or rejects the move based on the change to the total energy of the ring polymer (as returned by the integrator's getTotalEnergy() method).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::RPMDMonteCarloBarostat self, double defaultPressure, int frequency=25) -> RPMDMonteCarloBarostat init(OpenMM::RPMDMonteCarloBarostat self, RPMDMonteCarloBarostat other) -> RPMDMonteCarloBarostat

Create a MonteCarloBarostat.

Parameters

  defaultPressure | the default pressure acting on the system (in bar)
  frequency | the frequency at which Monte Carlo pressure changes should be attempted (in time steps)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::RPMDMonteCarloBarostat self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

getDefaultPressure(RPMDMonteCarloBarostat self) -> double

Get the default pressure acting on the system (in bar).

References simtk.openmm.openmm.stripUnits().

def getFrequency | ( |  | self,
|  |  | args
| ) |  |

getFrequency(RPMDMonteCarloBarostat self) -> int

Get the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(RPMDMonteCarloBarostat self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def Pressure | ( |  | args | ) |

Pressure() -> std::string const &.

This is the name of the parameter which stores the current pressure acting on the system (in bar).

References simtk.openmm.openmm.stripUnits().

def setDefaultPressure | ( |  | self,
|  |  | args
| ) |  |

setDefaultPressure(RPMDMonteCarloBarostat self, double pressure)

Set the default pressure acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters

  pressure | the default pressure acting on the system, measured in bar.

References simtk.openmm.openmm.stripUnits().

def setFrequency | ( |  | self,
|  |  | args
| ) |  |

setFrequency(RPMDMonteCarloBarostat self, int freq)

Set the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(RPMDMonteCarloBarostat self, int seed)

Set the random number seed. It is guaranteed that if two simulations are run with different random number seeds, the sequence of Monte Carlo steps will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(RPMDMonteCarloBarostat self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py